Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.importexport.model
Class CreateJobRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.importexport.model.CreateJobRequest

    public class CreateJobRequest

extends AmazonWebServiceRequest

Container for the parameters to the `CreateJob operation`.

This operation initiates the process of scheduling an upload or download of your data. You include in the request a manifest that describes the data transfer specifics. The response to the request includes a job ID, which you can use in other operations, a signature that you use to identify your storage device, and the address where you should ship your storage device.

See Also:
  `AmazonImportExport.createJob(CreateJobRequest)`

Constructor Summary
`CreateJobRequest()`

Method Summary
`String` | `getJobType()` Specifies whether the job to initiate is an import or export job.
`String` | `getManifest()` The UTF-8 encoded text of the manifest file.
`String` | `getManifestAddendum()` For internal use only.
`Boolean` | `getValidateOnly()` Validate the manifest and parameter values in the request but do not actually create a job.
`Boolean` | `isValidateOnly()` Validate the manifest and parameter values in the request but do not actually create a job.
`void` | `setJobType(String jobType)` Specifies whether the job to initiate is an import or export job.
`void` | `setManifest(String manifest)` The UTF-8 encoded text of the manifest file.
`void` | `setManifestAddendum(String manifestAddendum)` For internal use only.
`void` | `setValidateOnly(Boolean validateOnly)` Validate the manifest and parameter values in the request but do not actually create a job.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`CreateJobRequest` | `withJobType(String jobType)` Specifies whether the job to initiate is an import or export job.
`CreateJobRequest` | `withManifest(String manifest)` The UTF-8 encoded text of the manifest file.
`CreateJobRequest` | `withManifestAddendum(String manifestAddendum)` For internal use only.
`CreateJobRequest` | `withValidateOnly(Boolean validateOnly)` Validate the manifest and parameter values in the request but do not actually create a job.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CreateJobRequest

    public CreateJobRequest()

Method Detail

### getJobType

    public String getJobType()

  Specifies whether the job to initiate is an import or export job.

  Constraints:
  Allowed Values: Import, Export

  Returns:
    Specifies whether the job to initiate is an import or export job.
  See Also:
    `JobType`

### setJobType

    public void setJobType(String jobType)

  Specifies whether the job to initiate is an import or export job.

  Constraints:
  Allowed Values: Import, Export

  Parameters:
    `jobType` - Specifies whether the job to initiate is an import or export job.
  See Also:
    `JobType`

### withJobType

    public CreateJobRequest withJobType(String jobType)

  Specifies whether the job to initiate is an import or export job.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Allowed Values: Import, Export

  Parameters:
    `jobType` - Specifies whether the job to initiate is an import or export job.
  Returns:
    A reference to this updated object so that method calls can be chained together.
  See Also:
    `JobType`

### getManifest

    public String getManifest()

  The UTF-8 encoded text of the manifest file.

  Returns:
    The UTF-8 encoded text of the manifest file.

### setManifest

    public void setManifest(String manifest)

  The UTF-8 encoded text of the manifest file.

  Parameters:
    `manifest` - The UTF-8 encoded text of the manifest file.

### withManifest

    public CreateJobRequest withManifest(String manifest)

  The UTF-8 encoded text of the manifest file.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `manifest` - The UTF-8 encoded text of the manifest file.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getManifestAddendum

    public String getManifestAddendum()

  For internal use only.

  Returns:
    For internal use only.

### setManifestAddendum

    public void setManifestAddendum(String manifestAddendum)

  For internal use only.

  Parameters:
    `manifestAddendum` - For internal use only.

### withManifestAddendum

    public CreateJobRequest withManifestAddendum(String manifestAddendum)

  For internal use only.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `manifestAddendum` - For internal use only.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### isValidateOnly

    public Boolean isValidateOnly()

  Validate the manifest and parameter values in the request but do not actually create a job.

  Returns:
    Validate the manifest and parameter values in the request but do not actually create a job.

### setValidateOnly

    public void setValidateOnly(Boolean validateOnly)

  Validate the manifest and parameter values in the request but do not actually create a job.

  Parameters:
    `validateOnly` - Validate the manifest and parameter values in the request but do not actually create a job.

### withValidateOnly

    public CreateJobRequest withValidateOnly(Boolean validateOnly)

  Validate the manifest and parameter values in the request but do not actually create a job.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `validateOnly` - Validate the manifest and parameter values in the request but do not actually create a job.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getValidateOnly

    public Boolean getValidateOnly()

  Validate the manifest and parameter values in the request but do not actually create a job.

  Returns:
    Validate the manifest and parameter values in the request but do not actually create a job.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.